Skip to content

Send an Email Challenge

Request

OAuth 2.0 scope:
  • okta.myAccount.email.manage

Sends a "Confirm email address change" email to the user with a one-time passcode for verification. Also, the user receives a "Notice of pending email address change" email. After the challenge is verified, the email becomes active.

Path
idstringrequired

The email ID

Use the GET /idp/myaccount/emails or POST /idp/myaccount/emails operations when adding a new email address.

Example:00T196qTp3LIMZQ0L0g3
Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
Bodyapplication/json
statestringwrite-onlyrequired

(Optional) The state parameter that contains the state of the client

Example:"JPcFLTwOq7UvoFtmRd3EnyQwsR0PbDSI"
POST
/idp/myaccount/emails/{id}/challenge
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/idp/myaccount/emails/00T196qTp3LIMZQ0L0g3/challenge \
  -H 'Accept: application/json; okta-version=1.0.0' \
  -H 'Content-Type: application/json' \
  -d '{
    "state": "JPcFLTwOq7UvoFtmRd3EnyQwsR0PbDSI"
  }'

Responses

Created

Headers
any
Bodyapplication/json;okta-version=1.0.0
idstring, non-emptyrequired

The email ID of the caller

Example:"myaccount.2wdtXPtmS0WpKq4bnjlYIw"
statusstring, non-emptyrequired

The challenge status of the caller's email

Enum:"VERIFIED""UNVERIFIED"
Example:"UNVERIFIED"
expiresAtstring, non-emptyrequired

The time when the challenge expires. A challenge has a lifetime of five minutes.

Example:"2022-02-01T00:19:08.220Z"
profileobjectrequired

Defines the email address on the profile

Example:
{ "email": "s.jackson@example.com" }
Response
{ "id": "myaccount.2wdtXPtmS0WpKq4bnjlYIw", "status": "UNVERIFIED", "expiresAt": "2022-02-01T00:19:08.220Z", "profile": { "email": "s.jackson@example.com" }, "_links": { "verify": {}, "poll": {} } }